Bug 895242 - RFE: Redesign document list page and remove duplicate view [NEEDINFO]
RFE: Redesign document list page and remove duplicate view
Status: CLOSED NOTABUG
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Luke Brooker
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-14 16:53 EST by Alex Eng
Modified: 2016-04-18 05:37 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-30 19:12:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
djansen: needinfo? (aeng)


Attachments (Terms of Use)

  None (edit)
Description Alex Eng 2013-01-14 16:53:30 EST
Description of problem:
Currently there's 2 document list view which show almost identical information.
(GWT workspace and JSF).

Both should be merge into 1 page to improve user navigation in Zanata.


Version-Release number of selected component (if applicable):
2.1

How reproducible:
Always
Comment 3 Ding-Yi Chen 2013-01-21 19:56:25 EST
Tested with Zanata version 2.2-SNAPSHOT (20130122-0032).

Step to reproduce:
1. Click "Projects" -> <Project> -> <Version/Lang> -> <Document1>
   You should reach Message list of Document1
2. Click "Douments(Lange)" at breadcumb
  
Expected:
The same page as if you click at the message list icon

Actual:
Old JSF document list page.


Reassigned
Comment 4 Alex Eng 2013-01-21 21:41:30 EST
Implemented fix on the url. 

See 
https://github.com/zanata/zanata/commit/e9cd2a94cb831466d8f7ac748649f3e2178d80b5
Comment 5 Alex Eng 2013-01-22 23:50:33 EST
After review on the new document list page, it is decided to bring back the JSF document page and redirect url to the JSF page. 

This is due to the security issue of which anonymous user can't access to the workspace, therefore, can't access to the document page in GWT. We might need to revisit the ReadOnly mode in GWT to allow anonymous user access. 

The extra features in GWT document list page remains to in sync with features provided in JSF document list page.
Comment 6 Alex Eng 2013-01-23 00:13:47 EST
Brought back JSF document page.
See
https://github.com/zanata/zanata/commit/8cde44cf8f1a39ba5e925e13d59821b4da026e95
Comment 7 Sean Flanigan 2013-01-23 01:18:43 EST
To put it another way:

Anonymous users (eg new visitors, potential Zanata users) should be able to visit the Documents page (as they can in 2.1, at least via bookmarking).  Alex's change was preventing this, because the Doc list page (in webtrans) forces the user to log in.  We could change webtrans so that it doesn't force the user to log in, thus running the editor in read-only mode, but I don't think the editor could currently cope with potentially huge numbers of anonymous users.

Before we open up the Doc List (and a read-only editor) for anonymous users, we will need to review our use of GWTEventService, to ensure that we don't send so many events to the workspace domain, and/or that it has fewer listeners.  We may need to split up the workspace domain, so that there is one domain per document, with the workspace domain only used to keep stats on the doc list up to date.  

(An open question: if we have one domain per document, will Project Search&Replace have to join all those documents' domains?)
Comment 8 Alex Eng 2013-01-24 00:09:39 EST
Create another bug for the extra features implemented in workspace document list view. https://bugzilla.redhat.com/show_bug.cgi?id=903477
Comment 9 Damian Jansen 2014-03-04 21:17:48 EST
Is this handled with the new project/version pages?
Comment 10 Luke Brooker 2014-03-04 23:22:57 EST
Yes and No. We still have 2 document pages, but the initial one is on the project version page and that has been redesigned.

Eventually I would like to remove the document list "view" from the editor. I'm not saying we shouldn't have access to the document list in the editor but I think there could be a better way to do it.

I have no idea what to do with this issue.
Comment 11 Michelle Kim 2015-03-30 19:12:45 EDT
It is not a bug anymore given that the current new UI is redesigned. Luke will work on re-designing the document list in the future.

Note You need to log in before you can comment on or make changes to this bug.